Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.exception
Class ProcessingException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.appflow.exception.ProcessingException

Direct Known Subclasses:
  ConfigurationException, E2EProcessingException, InvalidFormDataException, InvalidSessionStateException, MissingFormFieldException

public class ProcessingException
extends ApplicationException

This class is the base class for all ProcessingExceptions.

ProcessingExceptions or sub-classes of ProcessingException are meant to be thrown by classes that implement the `InputProcessor` interface.

See Also:
  `ApplicationException`, `InputProcessor`, Serialized Form

Constructor Summary
`ProcessingException()`
`ProcessingException(java.lang.String message)`
`ProcessingException(java.lang.String message, java.lang.Throwable embeddedException)`
`ProcessingException(java.lang.Throwable embeddedException)`

Methods inherited from class com.bea.p13n.exceptions.ApplicationException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessingException

    public ProcessingException()

### ProcessingException

    public ProcessingException(java.lang.String message)

### ProcessingException

    public ProcessingException(java.lang.String message,
                               java.lang.Throwable embeddedException)

### ProcessingException

    public ProcessingException(java.lang.Throwable embeddedException)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved